io.etcd.jetcd.api

## Class WatchResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.WatchResponse

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, WatchResponseOrBuilder, Serializable

    public final class WatchResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements WatchResponseOrBuilder

Protobuf type `etcdserverpb.WatchResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `WatchResponse.Builder` Protobuf type `etcdserverpb.WatchResponse`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CANCEL_REASON_FIELD_NUMBER`
`static int` `CANCELED_FIELD_NUMBER`
`static int` `COMPACT_REVISION_FIELD_NUMBER`
`static int` `CREATED_FIELD_NUMBER`
`static int` `EVENTS_FIELD_NUMBER`
`static int` `HEADER_FIELD_NUMBER`
`static int` `WATCH_ID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `getCanceled()` canceled is set to true if the response is for a cancel watch request.
`String` `getCancelReason()` cancel_reason indicates the reason for canceling the watcher.
`com.google.protobuf.ByteString` `getCancelReasonBytes()` cancel_reason indicates the reason for canceling the watcher.
`long` `getCompactRevision()` compact_revision is set to the minimum index if a watcher tries to watch at a compacted index.
`boolean` `getCreated()` created is set to true if the response is for a create watch request.
`static WatchResponse` `getDefaultInstance()`
`WatchResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Event` `getEvents(int index)` `repeated .mvccpb.Event events = 11;`
`int` `getEventsCount()` `repeated .mvccpb.Event events = 11;`
`List<Event>` `getEventsList()` `repeated .mvccpb.Event events = 11;`
`EventOrBuilder` `getEventsOrBuilder(int index)` `repeated .mvccpb.Event events = 11;`
`List<? extends EventOrBuilder>` `getEventsOrBuilderList()` `repeated .mvccpb.Event events = 11;`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`com.google.protobuf.Parser<WatchResponse>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`long` `getWatchId()` watch_id is the ID of the watcher that corresponds to the response.
`int` `hashCode()`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static WatchResponse.Builder` `newBuilder()`
`static WatchResponse.Builder` `newBuilder(WatchResponse prototype)`
`WatchResponse.Builder` `newBuilderForType()`
`protected WatchResponse.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static WatchResponse` `parseDelimitedFrom(InputStream input)`
`static WatchResponse` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchResponse` `parseFrom(byte[] data)`
`static WatchResponse` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchResponse` `parseFrom(ByteBuffer data)`
`static WatchResponse` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchResponse` `parseFrom(com.google.protobuf.ByteString data)`
`static WatchResponse` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchResponse` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static WatchResponse` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static WatchResponse` `parseFrom(InputStream input)`
`static WatchResponse` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<WatchResponse>` `parser()`
`WatchResponse.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### HEADER_FIELD_NUMBER

    public static final int HEADER_FIELD_NUMBER

See Also:
  Constant Field Values

#### WATCH_ID_FIELD_NUMBER

    public static final int WATCH_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### CREATED_FIELD_NUMBER

    public static final int CREATED_FIELD_NUMBER

See Also:
  Constant Field Values

#### CANCELED_FIELD_NUMBER

    public static final int CANCELED_FIELD_NUMBER

See Also:
  Constant Field Values

#### COMPACT_REVISION_FIELD_NUMBER

    public static final int COMPACT_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### CANCEL_REASON_FIELD_NUMBER

    public static final int CANCEL_REASON_FIELD_NUMBER

See Also:
  Constant Field Values

#### EVENTS_FIELD_NUMBER

    public static final int EVENTS_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `WatchResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `WatchResponseOrBuilder`
Returns:
  The header.

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `WatchResponseOrBuilder`

#### getWatchId

    public long getWatchId()

     watch_id is the ID of the watcher that corresponds to the response.

`int64 watch_id = 2;`

Specified by:
  `getWatchId` in interface `WatchResponseOrBuilder`
Returns:
  The watchId.

#### getCreated

    public boolean getCreated()

     created is set to true if the response is for a create watch request.
     The client should record the watch_id and expect to receive events for
     the created watcher from the same stream.
     All events sent to the created watcher will attach with the same watch_id.

`bool created = 3;`

Specified by:
  `getCreated` in interface `WatchResponseOrBuilder`
Returns:
  The created.

#### getCanceled

    public boolean getCanceled()

     canceled is set to true if the response is for a cancel watch request.
     No further events will be sent to the canceled watcher.

`bool canceled = 4;`

Specified by:
  `getCanceled` in interface `WatchResponseOrBuilder`
Returns:
  The canceled.

#### getCompactRevision

    public long getCompactRevision()

     compact_revision is set to the minimum index if a watcher tries to watch
     at a compacted index.
     This happens when creating a watcher at a compacted revision or the watcher cannot
     catch up with the progress of the key-value store.
     The client should treat the watcher as canceled and should not try to create any
     watcher with the same start_revision again.

`int64 compact_revision = 5;`

Specified by:
  `getCompactRevision` in interface `WatchResponseOrBuilder`
Returns:
  The compactRevision.

#### getCancelReason

    public String getCancelReason()

     cancel_reason indicates the reason for canceling the watcher.

`string cancel_reason = 6;`

Specified by:
  `getCancelReason` in interface `WatchResponseOrBuilder`
Returns:
  The cancelReason.

#### getCancelReasonBytes

    public com.google.protobuf.ByteString getCancelReasonBytes()

     cancel_reason indicates the reason for canceling the watcher.

`string cancel_reason = 6;`

Specified by:
  `getCancelReasonBytes` in interface `WatchResponseOrBuilder`
Returns:
  The bytes for cancelReason.

#### getEventsList

    public List<Event> getEventsList()

`repeated .mvccpb.Event events = 11;`

Specified by:
  `getEventsList` in interface `WatchResponseOrBuilder`

#### getEventsOrBuilderList

    public List<? extends EventOrBuilder> getEventsOrBuilderList()

`repeated .mvccpb.Event events = 11;`

Specified by:
  `getEventsOrBuilderList` in interface `WatchResponseOrBuilder`

#### getEventsCount

    public int getEventsCount()

`repeated .mvccpb.Event events = 11;`

Specified by:
  `getEventsCount` in interface `WatchResponseOrBuilder`

#### getEvents

    public Event getEvents(int index)

`repeated .mvccpb.Event events = 11;`

Specified by:
  `getEvents` in interface `WatchResponseOrBuilder`

#### getEventsOrBuilder

    public EventOrBuilder getEventsOrBuilder(int index)

`repeated .mvccpb.Event events = 11;`

Specified by:
  `getEventsOrBuilder` in interface `WatchResponseOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static WatchResponse parseFrom(ByteBuffer data)
                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchResponse parseFrom(ByteBuffer data,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchResponse parseFrom(com.google.protobuf.ByteString data)
                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchResponse parseFrom(com.google.protobuf.ByteString data,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchResponse parseFrom(byte[] data)
                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchResponse parseFrom(byte[] data,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static WatchResponse parseFrom(InputStream input)
                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static WatchResponse parseFrom(InputStream input,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static WatchResponse parseDelimitedFrom(InputStream input)
                                            throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static WatchResponse parseDelimitedFrom(InputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Throws:
  `IOException`

#### parseFrom

    public static WatchResponse parseFrom(com.google.protobuf.CodedInputStream input)
                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static WatchResponse parseFrom(com.google.protobuf.CodedInputStream input,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public WatchResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static WatchResponse.Builder newBuilder()

#### newBuilder

    public static WatchResponse.Builder newBuilder(WatchResponse prototype)

#### toBuilder

    public WatchResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected WatchResponse.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static WatchResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<WatchResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<WatchResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public WatchResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`